### org.jfree.layouting.modules.output.html

# Class HtmlPrinter

- `java.lang.Object`
- - `org.jfree.layouting.renderer.process.IterateStructuralProcessStep`
  - - `org.jfree.layouting.modules.output.html.HtmlPrinter`

`public class HtmlPrinter`
`extends IterateStructuralProcessStep`

Creation-Date: 25.11.2006, 18:17:57

Author:
  Thomas Morgner

  ## Field Summary

  `static float`

  `CORRECTION_FACTOR_POINT_TO_PX`

  `static float`

  `CORRECTION_FACTOR_PX_TO_POINT`

  `static String`

  `TAG_DEF_PREFIX`

  ## Constructor Summary

  `HtmlPrinter()`

  ## Method Summary

  `protected void`

  `finishBlockBox(BlockRenderBox box)`

  `protected void`

  `finishInlineBox(InlineRenderBox box)`

  `protected void`

  `finishOtherBlockBox(BlockRenderBox tableRenderBox)`

  `protected void`

  `finishPageBox(RenderBox box)`

  `protected void`

  `finishParagraph(ParagraphRenderBox tableRenderBox)`

  `protected void`

  `finishTable(TableRenderBox tableRenderBox)`

  `protected void`

  `finishTableBody(TableSectionRenderBox tableRenderBox)`

  `protected void`

  `finishTableCell(TableCellRenderBox tableRenderBox)`

  `protected void`

  `finishTableFooter(TableSectionRenderBox tableRenderBox)`

  `protected void`

  `finishTableHeader(TableSectionRenderBox tableRenderBox)`

  `protected void`

  `finishTableRow(TableRowRenderBox tableRenderBox)`

  `void`

  `generate(LogicalPageBox box, DocumentContext documentContext)`

  `ContentLocation`

  `getContentLocation()`

  `NameGenerator`

  `getContentNameGenerator()`

  `ContentLocation`

  `getDataLocation()`

  `NameGenerator`

  `getDataNameGenerator()`

  `String`

  `getEncoding()`

  `URLRewriter`

  `getUrlRewriter()`

  `boolean`

  `isGenerateFragment()`

  `protected void`

  `processParagraphChilds(ParagraphRenderBox box)`

  `void`

  `setContentWriter(ContentLocation contentLocation, NameGenerator contentNameGenerator)`

  `void`

  `setDataWriter(ContentLocation dataLocation, NameGenerator dataNameGenerator)`

  `void`

  `setEncoding(String encoding)`

  `void`

  `setGenerateFragment(boolean generateFragment)`

  `void`

  `setUrlRewriter(URLRewriter urlRewriter)`

  `protected boolean`

  `startBlockBox(BlockRenderBox box)`

  `protected boolean`

  `startInlineBox(InlineRenderBox box)`

  `protected boolean`

  `startMarkerContents(RenderBox box, StyleBuilder builder)`

  `protected boolean`

  `startOtherBlockBox(BlockRenderBox box, StyleBuilder builder)`

  `protected boolean`

  `startOtherBox(RenderBox box)`

  `protected void`

  `startOtherNode(RenderNode node)`

  `protected boolean`

  `startPageBox(RenderBox box, StyleBuilder builder)`

  `protected boolean`

  `startParagraph(ParagraphRenderBox box, StyleBuilder builder)`

  `protected boolean`

  `startTable(TableRenderBox box, StyleBuilder builder)`

  `protected boolean`

  `startTableBody(TableSectionRenderBox box, StyleBuilder builder)`

  `protected boolean`

  `startTableCell(TableCellRenderBox box, StyleBuilder builder)`

  `protected boolean`

  `startTableFooter(TableSectionRenderBox box, StyleBuilder builder)`

  `protected boolean`

  `startTableHeader(TableSectionRenderBox box, StyleBuilder builder)`

  `protected boolean`

  `startTableRow(TableRowRenderBox box, StyleBuilder builder)`

  ### Methods inherited from class org.jfree.layouting.renderer.process.IterateStructuralProcessStep

  `finishBlockBox`, `finishInlineBox`, `finishNormalFlow`, `finishOtherBox`, `finishOtherNode`, `processBoxChilds`, `processParagraphChilds`, `startBlockBox`, `startInlineBox`, `startNormalFlow`, `startOtherBox`, `startOtherNode`, `startProcessing`

## Field Details

### CORRECTION_FACTOR_POINT_TO_PX

    public static final float CORRECTION_FACTOR_POINT_TO_PX

> Field Value:
>   1.0f

### CORRECTION_FACTOR_PX_TO_POINT

    public static final float CORRECTION_FACTOR_PX_TO_POINT

> Field Value:
>   0.0f

### TAG_DEF_PREFIX

    public static final String TAG_DEF_PREFIX

## Constructor Details

### HtmlPrinter

    public HtmlPrinter()

## Method Details

### finishBlockBox

    protected void finishBlockBox(BlockRenderBox box)

> Overrides:
>   finishBlockBox in interface IterateStructuralProcessStep

### finishInlineBox

    protected void finishInlineBox(InlineRenderBox box)

> Overrides:
>   finishInlineBox in interface IterateStructuralProcessStep

### finishOtherBlockBox

    protected void finishOtherBlockBox(BlockRenderBox tableRenderBox)
                throws IOException

### finishPageBox

    protected void finishPageBox(RenderBox box)
                throws IOException

### finishParagraph

    protected void finishParagraph(ParagraphRenderBox tableRenderBox)
                throws IOException

### finishTable

    protected void finishTable(TableRenderBox tableRenderBox)
                throws IOException

### finishTableBody

    protected void finishTableBody(TableSectionRenderBox tableRenderBox)
                throws IOException

### finishTableCell

    protected void finishTableCell(TableCellRenderBox tableRenderBox)
                throws IOException

### finishTableFooter

    protected void finishTableFooter(TableSectionRenderBox tableRenderBox)
                throws IOException

### finishTableHeader

    protected void finishTableHeader(TableSectionRenderBox tableRenderBox)
                throws IOException

### finishTableRow

    protected void finishTableRow(TableRowRenderBox tableRenderBox)
                throws IOException

### generate

    public void generate(LogicalPageBox box,
                         DocumentContext documentContext)
                throws IOException,
                       ContentIOException

### getContentLocation

    public ContentLocation getContentLocation()

### getContentNameGenerator

    public NameGenerator getContentNameGenerator()

### getDataLocation

    public ContentLocation getDataLocation()

### getDataNameGenerator

    public NameGenerator getDataNameGenerator()

### getEncoding

    public String getEncoding()

### getUrlRewriter

    public URLRewriter getUrlRewriter()

### isGenerateFragment

    public boolean isGenerateFragment()

### processParagraphChilds

    protected void processParagraphChilds(ParagraphRenderBox box)

> Overrides:
>   processParagraphChilds in interface IterateStructuralProcessStep

### setContentWriter

    public void setContentWriter(ContentLocation contentLocation,
                                 NameGenerator contentNameGenerator)

### setDataWriter

    public void setDataWriter(ContentLocation dataLocation,
                              NameGenerator dataNameGenerator)

### setEncoding

    public void setEncoding(String encoding)

### setGenerateFragment

    public void setGenerateFragment(boolean generateFragment)

### setUrlRewriter

    public void setUrlRewriter(URLRewriter urlRewriter)

### startBlockBox

    protected boolean startBlockBox(BlockRenderBox box)

> Overrides:
>   startBlockBox in interface IterateStructuralProcessStep

### startInlineBox

    protected boolean startInlineBox(InlineRenderBox box)

> Overrides:
>   startInlineBox in interface IterateStructuralProcessStep

### startMarkerContents

    protected boolean startMarkerContents(RenderBox box,
                                          StyleBuilder builder)
                throws IOException

### startOtherBlockBox

    protected boolean startOtherBlockBox(BlockRenderBox box,
                                         StyleBuilder builder)
                throws IOException

### startOtherBox

    protected boolean startOtherBox(RenderBox box)

> Overrides:
>   startOtherBox in interface IterateStructuralProcessStep

### startOtherNode

    protected void startOtherNode(RenderNode node)

> Overrides:
>   startOtherNode in interface IterateStructuralProcessStep

### startPageBox

    protected boolean startPageBox(RenderBox box,
                                   StyleBuilder builder)
                throws IOException

### startParagraph

    protected boolean startParagraph(ParagraphRenderBox box,
                                     StyleBuilder builder)
                throws IOException

### startTable

    protected boolean startTable(TableRenderBox box,
                                 StyleBuilder builder)
                throws IOException

### startTableBody

    protected boolean startTableBody(TableSectionRenderBox box,
                                     StyleBuilder builder)
                throws IOException

### startTableCell

    protected boolean startTableCell(TableCellRenderBox box,
                                     StyleBuilder builder)
                throws IOException

### startTableFooter

    protected boolean startTableFooter(TableSectionRenderBox box,
                                       StyleBuilder builder)
                throws IOException

### startTableHeader

    protected boolean startTableHeader(TableSectionRenderBox box,
                                       StyleBuilder builder)
                throws IOException

### startTableRow

    protected boolean startTableRow(TableRowRenderBox box,
                                    StyleBuilder builder)
                throws IOException